# $Revision: 1.29 $, $Date: 2011/07/28 20:35:40 $
Summary:	SynCE tray icon for GNOME 2
Summary(pl.UTF-8):	SynCE jako ikona tacki dla środowiska GNOME 2
Name:		synce-trayicon
Version:	0.15.1
Release:	2
License:	MIT+LGPL
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	b6ab20a0a4814817b486585b6b63130e
Patch0:		%{name}-libnotify.patch
Patch1:		%{name}-backends.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libgtop-devel >= 1:2.0.0
BuildRequires:	libnotify-devel >= 0.7
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.559
BuildRequires:	synce-librapi2-devel >= 0.15
BuildRequires:	synce-orange-libs-devel >= 0.4-3
BuildRequires:	synce-rra-devel >= 0.14
%requires_ge_to synce-librapi2 synce-librapi2-devel
%requires_ge_to	synce-rra synce-rra-devel
Requires:	synce-connector
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
synce-trayicon is part of the SynCE project: <http://www.synce.org/>.

This application shows when a device is connected.

%description -l pl.UTF-8
synce-trayicon to część projektu SynCE: <http://www.synce.org/>.

Ta aplikacja pokazuje, kiedy urządzenie jest podłączone.

%prep
%setup -q
%patch0 -p1
%patch1 -p2

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-vdccm-support \
	--enable-odccm-support \
	--disable-hal-support \
	--enable-udev-support

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*.la

install -d $RPM_BUILD_ROOT/etc/xdg/autostart
mv $RPM_BUILD_ROOT{%{_datadir}/gnome/autostart,/etc/xdg/autostart}/%{name}-autostart.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install %{name}.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%postun
%scrollkeeper_update_postun

%preun
%gconf_schema_uninstall %{name}.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/synce
%{_datadir}/synce/*.glade
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so
%{_iconsdir}/hicolor/*/apps/synce-*.png
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
/etc/xdg/autostart/%{name}-autostart.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-trayicon.spec,v $
Revision 1.29  2011/07/28 20:35:40  baggins
- rel 2
- fix backend patch

Revision 1.28  2011/07/28 20:31:11  baggins
- 0.15.1
- added backend patch from SVN
- disabled HAL (obsolete)

Revision 1.27  2011/04/08 08:17:52  lisu
- support for libnotify 0.7

Revision 1.26  2011/04/07 15:38:57  lisu
- rel 4

Revision 1.25  2011/02/23 16:39:38  glen
- %requires_ge_to

Revision 1.24  2011/02/02 01:50:31  sparky
- BR: hal-devel

Revision 1.23  2010/10/28 05:47:49  glen
- install to xdg autostart, not just gnome to avoid pulling whole gnome
- BR fixed orange-libs devel deps

Revision 1.22  2010/06/15 23:16:51  arvenil
- up to 0.15
- there is no synce-rra in version 0.15;
  required version lowered to 0.14

Revision 1.21  2008/10/30 23:01:00  sls
- replace requirement synce-odccm with R: synce-connector (from synce-libsynce.spec)
- BR: intltool
- rel. 2

Revision 1.20  2008/10/22 20:40:14  sls
- ver. 0.12
- updated BR

Revision 1.19  2008/05/16 21:51:46  wolvverine
- R:synce-odccm

Revision 1.18  2008-05-16 21:38:56  qboosh
- BR: ac,lt
- no *.la for modules

Revision 1.17  2008-05-16 21:30:20  wolvverine
- up to 0.11

Revision 1.16  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.14  2006/12/11 21:30:01  glen
- new URL

Revision 1.13  2006/05/18 09:59:36  qboosh
- builds on 64-bit archs with librapi2 0.9.1

Revision 1.12  2005/05/24 16:38:30  wiget
- release 3, STBR

Revision 1.11  2005/05/13 21:26:54  zbyniu
- BR: gettext-devel, perl-XML-Parser

Revision 1.10  2005/05/11 14:40:56  qboosh
- updated 64-bit archs list

Revision 1.9  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.8  2005/04/12 19:55:51  wiget
- R: synce-dccm
- release 2

Revision 1.7  2004/12/26 01:59:32  qboosh
- librapi2 is not ready for 64-bit pointers :/

Revision 1.6  2004/12/26 01:52:59  qboosh
- updated deps, added docs

Revision 1.5  2004/12/02 09:29:41  tiwek
- Release 1
- Build and nice work

Revision 1.4  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/11/26 20:16:34  qboosh
- pl, more cleanups and fixes

Revision 1.2  2004/11/26 18:22:41  ankry
- post-tiwek cleaning

Revision 1.1  2004/11/26 14:36:10  tiwek
- build
- works ? try at home
